<template>
  <div>
    <el-button type="primary" @click="checkData">一键核对</el-button>
    <div id="dialysis-print-box">
      <div id='new-dialysis-1' class="dialysis-print-order" style="position:relative;">
        <img src="../../../assets/images/xuanwei.jpg" style="position: absolute;" alt="">
        <div class="order-yy-name" style="font-size:30px;font-weight:bold;padding-top:40px;">{{ orgname }}</div>
        <div class="order-title" style="padding-bottom:10px;padding-top:0;font-size:20px;font-weight:normal;">血液净化治疗记录单</div>
        <table class="table-box" style="margin-top: 10px;">
          <tbody>
            <tr>
              <td width="50">透析号:</td>
              <td width="80">
                <div class="under-line">{{getNumber()}}</div>
              </td>
              <td width="10"></td>
              <td width="20">第</td>
              <td width="50">
                <div class="under-line">&nbsp;{{patientInfo.total_dialysis + patientInfo.user_sys_before_count}}</div>
              </td>
              <td width="50">次透析</td>
              <td width="10"></td>
              <td width="40">病室:</td>
              <td width="120">
                <div class="under-line">&nbsp;
                    <span v-if='receiverTreatmentAccess.condition == 1'>住院</span>
                    <span v-if='receiverTreatmentAccess.condition == 2'>门诊</span>
                    <span v-if='receiverTreatmentAccess.condition == 3'>手术期</span>
                    <span v-if='receiverTreatmentAccess.condition == 4'>急诊</span>
                </div>
              </td>
              <td width="10"></td>
              <td width="80">透析日期:</td>
              <td width="50">
                <div class="under-line">
                  &nbsp;<span>{{ queryParams.xtdate.slice(0,4) }}</span>
                </div>
              </td>
              <td width="10">年</td>
              <td width="50">
                <div class="under-line">
                  &nbsp;<span>{{ queryParams.xtdate.slice(5,7) }}</span>
                </div>
              </td>
              <td width="10">月</td>
              <td width="50">
                <div class="under-line">
                  &nbsp;<span>{{ queryParams.xtdate.slice(8,11) }}</span>
                </div>
              </td>
              <td width="10">日</td>
              <td></td>
            </tr>
          </tbody>
        </table>
        <table class="print-table" border="1">
          <tbody>
              <tr>
                  <td>
                      <table class="table-box">
                          <tr>
                              <td width="50">姓 名:</td>
                              <td width="80">
                              <div class="under-line">&nbsp;{{ patientInfo.name }}</div>
                              </td>
                              <td width="10"></td>
                              <td width="50">性 别:</td>
                              <td width="60">
                              <div class="under-line">{{ patientInfo.gender }}</div>
                              </td>
                              <td width="10"></td>
                              <td width="50">年 龄:</td>
                              <td width="60">
                              <div class="under-line">{{ getAge(patientInfo) }}</div>
                              </td>
                              <td width="30">岁</td>
                              <td width="40">ID号:</td>
                              <td width="70">
                              <div class="under-line">
                                  {{ patientInfo.dialysis_no ? patientInfo.dialysis_no : "" }}
                              </div>
                              </td>
                              <td width="10"></td>
                              <td width="40">诊 断:</td>
                              <td width="">
                              <div class="under-line" style="text-align:left">&nbsp;{{ patientInfo.diagnose }}</div>
                              </td>
                              <td></td>
                          </tr>
                      </table>
                  </td>
              </tr>
          </tbody>
        </table>
        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td>
                <table class="table-box">
                  <tbody>
                    <tr>
                      <td width="70">透前评估:</td>
                      <td width="40">出血:</td>
                      <td width="50">
                        <div>
                          <label-box :isChecked="predialysis.is_hemorrhage == 2 ? true : false" showValue="无"></label-box>
                        </div>
                      </td>
                      <td width="380">
                        <div>
                          <label-box :isChecked="predialysis.is_hemorrhage == 1 && predialysis.hemorrhage.indexOf('穿刺点渗血') > -1 ? true : false" showValue="穿刺点渗血"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.is_hemorrhage == 1 && predialysis.hemorrhage.indexOf('牙龈出血') > -1 ? true : false" showValue="牙龈出血"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.is_hemorrhage == 1 && predialysis.hemorrhage.indexOf('消化道出血') > -1 ? true : false" showValue="消化道出血"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.is_hemorrhage == 1 && predialysis.hemorrhage.indexOf('女性经期') > -1 ? true : false" showValue="女性经期"></label-box>
                        </div>
                      </td>

                      <td width="50">其他:</td>
                      <td width="">
                        <div class="under-line">
                          &nbsp;
                          <span v-if="predialysis.is_hemorrhage == 1">{{ getHemorrhage(predialysis.hemorrhage) }}</span>
                        </div>
                      </td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>

                <table class="table-box">
                  <tbody>
                    <tr>
                      <td width="70">血管通路:</td>
                      <td width="480">
                        <div>
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('自体内瘘') > -1 ? true : false" showValue="自体内瘘"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('人造血管') > -1 ? true : false" showValue="人造血管"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('直穿') > -1 ? true : false" showValue="直穿"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('颈内静脉') > -1 ? true : false" showValue="颈内静脉"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('股静脉') > -1 ? true : false" showValue="股静脉"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.blood_access_part_opera_name.indexOf('锁骨下') > -1 ? true : false" showValue="锁骨下"></label-box>
                          &nbsp;
                        </div>
                      </td>

                      <td width="65">穿刺方法:</td>
                      <td width="120">
                        <div class="under-line">&nbsp;{{ predialysis.puncture_way ? predialysis.puncture_way : "" }}</div>
                      </td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>

                <table class="table-box">
                  <tbody>
                    <tr>
                      <td width="65">内瘘:震颤</td>
                      <td width='10'>(</td>
                      <td width="170">
                        <div>
                          <label-box :isChecked="predialysis.internal_fistula ? (predialysis.internal_fistula.indexOf('存在') > -1 ? true : false) : false" showValue="存在"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.internal_fistula ? (predialysis.internal_fistula.indexOf('减弱') > -1 ? true : false) : false" showValue="减弱"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.internal_fistula ? (predialysis.internal_fistula.indexOf('无') > -1 ? true : false) : false" showValue="无"></label-box>
                        </div>
                      </td>
                      <td width='10'>)</td>
                      <td width="90">导管: 穿刺口</td>
                      <td width='10'>(</td>
                      <td width="260">
                        <div>
                          <label-box :isChecked="predialysis.catheter.indexOf('干洁') > -1 ? true : false" showValue="干洁"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.catheter.indexOf('红肿') > -1 ? true : false" showValue="红肿"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.catheter.indexOf('分泌物') > -1 ? true : false" showValue="分泌物"></label-box>
                          &nbsp;
                          <label-box :isChecked="predialysis.catheter.indexOf('渗血') > -1 ? true : false" showValue="渗血"></label-box>
                        </div>
                      </td>
                      <td width='10'>)</td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
        </table>

        <table class="print-table" border="1" style="line-height: initial;">
          <tbody>
            <tr>
              <td width="30px" class="title-box">透析处方</td>
              <td>
                  <table class="table-box">
                      <tbody>
                      <tr>
                          <td width="70">治疗时间:</td>
                          <td width="40">
                          <div class="under-line">
                              &nbsp;{{ prescription.dialysis_duration_hour ? prescription.dialysis_duration_hour : 0 }}
                          </div>
                          </td>
                          <td width="10">h</td>
                          <td width="40">
                          <div class="under-line">
                              &nbsp;{{ prescription.dialysis_duration_minute ? prescription.dialysis_duration_minute : 0 }}
                          </div>
                          </td>
                          <td width="35">min</td>
                          <td width="20"></td>
                          <td width="70">血流量:</td>
                          <td width="50">
                          <div class="under-line">
                              &nbsp;{{prescription.blood_flow_volume?prescription.blood_flow_volume:''}}
                          </div>
                          </td>
                          <td width="20">ml/min</td>
                          <td></td>
                      </tr>
                      </tbody>
                  </table>
                  <table class="table-box">
                      <tbody>
                          <tr>
                          <td width='50'>干体重:</td>
                          <td width="50">
                              <div class="under-line">&nbsp;{{ predialysis.dry_weight ? predialysis.dry_weight : "" }}</div>
                          </td>
                          <td width="10">Kg</td>
                          <td width="30"></td>
                          <td width='70'>透前体重:</td>
                          <td width="50">
                              <div class="under-line">&nbsp;{{ predialysis.weight_before ? predialysis.weight_before : "" }}</div>
                          </td>
                          <td width="10">Kg</td>
                          <td width="30"></td>
                          <td width='70'>体重增加:</td>
                          <td width="50">
                              <div class="under-line">&nbsp;{{ (predialysis.weight_before - assessmentafter.weight_after).toFixed(1) }}</div>
                          </td>
                          <td width="10">Kg</td>
                          <td width="30"></td>
                          <td width="80">超滤总量:</td>
                          <td width="50">
                              <div class="under-line">
                                  &nbsp;{{ prescription.target_ultrafiltration ? prescription.target_ultrafiltration : ' ' }}
                              </div>
                          </td>
                          <td width="10">ml</td>
                          <td width="30"></td>
                          <td width="70">置换量:</td>
                          <td width="50">
                              <div class="under-line">
                                  &nbsp;{{ prescription.replacement_total ? prescription.replacement_total : "" }}
                              </div>
                          </td>
                          <td width="10">ml</td>
                          <td></td>
                          </tr>
                      </tbody>
                  </table>
                  
                  <table class="table-box">
                      <tbody>
                      <tr>
                          <td width="70">治疗方式:</td>
                          <td width="50">
                              <label-box :isChecked="prescription.mode_id == 1 ? true : false" showValue="HD"></label-box>
                          </td>
                          <td width="50">
                              <label-box :isChecked="prescription.mode_id == 2 ? true : false" showValue="HDF"></label-box>
                          </td>
                          <td width="50">
                              <label-box :isChecked="prescription.mode_id == 5 ? true : false" showValue="HF"></label-box>
                          </td>
                          <td width="50">
                              <label-box :isChecked="prescription.mode_id == 20 ? true : false" showValue="UF"></label-box>
                          </td>
                          <td width='40'>其他:</td>
                          <td width="50">
                              <div class="under-line">&nbsp;<span v-if="prescription.mode_id != 1 && prescription.mode_id != 2 && prescription.mode_id != 5 && prescription.mode_id != 20">{{ prescription.mode ? prescription.mode : "" }}</span></div>
                          </td>
                          <td width="20"></td>
                          <td width="100">透析（滤）器:</td>
                          <td width="180">
                          <div class="under-line">
                              &nbsp;{{ prescription.dialyzer_perfusion_apparatus ? prescription.dialyzer_perfusion_apparatus : "" }}
                          </div>
                          </td>
                          <td width="20"></td>
                          <td width="80">透析机:</td>
                          <td width="80">
                          <div class="under-line">
                              &nbsp;{{ predialysis.machine_type ? predialysis.machine_type : "" }}
                          </div>
                          </td>
                          <td></td>
                      </tr>
                      </tbody>
                  </table>
                  <table class="table-box">
                      <tbody>
                      <tr>
                          <td width="140">依诺肝素/低分子肝素</td>
                          <td width="50">（类型</td>
                          <td width='100'>
                              <div class="under-line">&nbsp;{{ prescription.anticoagulant ? prescription.anticoagulant : '' }}</div>
                          </td>
                          <td width="10">）</td>
                          <td width="60">首剂</td>
                          <td width="60">
                              <div class="under-line">&nbsp;{{ prescription.anticoagulant_shouji ? prescription.anticoagulant_shouji : "" }}</div>
                          </td>
                          <td width="10">
                            <span v-if="prescription.anticoagulant == '枸橼酸钠'">mg</span>
                            <span v-if="prescription.anticoagulant == '阿加曲班'">mg</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素'">iu</span>
                            <span v-if="prescription.anticoagulant == '普通肝素'">iu</span>
                            <span v-if="prescription.anticoagulant == '无肝素'">mg</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素钙'">iu</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素钠'">iu</span>&nbsp;
                          </td>
                          <td width="60">追加</td>
                          <td width="60">
                              <div class="under-line">&nbsp;{{ prescription.anticoagulant_weichi ? prescription.anticoagulant_weichi : "" }}</div>
                          </td>
                          <td width="10">
                            <span v-if="prescription.anticoagulant == '枸橼酸钠'">ml/h</span>
                            <span v-if="prescription.anticoagulant == '阿加曲班'">mg/h</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素'">iu/h</span>
                            <span v-if="prescription.anticoagulant == '普通肝素'">iu/h</span>
                            <span v-if="prescription.anticoagulant == '无肝素'">mg/h</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素钙'">iu/h</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素钠'">iu/h</span>
                          </td>
                          <td width="60">总量</td>
                          <td width="60">
                              <div class="under-line">&nbsp;{{ prescription.anticoagulant_zongliang ? prescription.anticoagulant_zongliang : "" }}</div>
                          </td>
                          <td width="10">
                            <span v-if="prescription.anticoagulant == '枸橼酸钠'">mg</span>
                            <span v-if="prescription.anticoagulant == '阿加曲班'">mg</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素'">iu</span>
                            <span v-if="prescription.anticoagulant == '普通肝素'">iu</span>
                            <span v-if="prescription.anticoagulant == '无肝素'">mg</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素钙'">iu</span>
                            <span v-if="prescription.anticoagulant == '低分子肝素钠'">iu</span>
                          </td>
                          <td></td>
                      </tr>
                      </tbody>
                  </table>
              </td>
            </tr>
          </tbody>
        </table>

        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td :rowspan="jilurow" width="30px" class="title-box">
                治疗记录
              </td>

              <td width="60">时间</td>
              <td width="60" style="height:20px;line-height:20px">血流量<br />ml/分</td>
              <td width="60" style="height:20px;line-height:20px">静脉压<br />mmHg</td>
              <td width="60" style="height:20px;line-height:20px">置换液<br />速度<br />ml/h</td>
              <td width="60" style="height:20px;line-height:20px">超滤率<br />ml/h</td>
              <td width="60" style="height:20px;line-height:20px">超滤量<br />ml</td>
              <td width="40" style="height:20px;line-height:20px">心率<br />次/分</td>
              <td width="40" style="height:20px;line-height:20px">呼吸<br />次/分</td>
              <td width="80" style="height:20px;line-height:20px">血压<br />mmHg</td>
              <td width="">特殊记录</td>
              <td width="60" style="height:20px;line-height:20px">签名</td>
            </tr>

            <tr v-for="monitor in monitors" :key="monitor.id">
              <td style="height:40px;line-height:40px;">&nbsp;{{ getTime(monitor.operate_time, "{h}:{i}") }}</td>
              <td>&nbsp;{{ monitor.blood_flow_volume ? monitor.blood_flow_volume : "" }}</td>
              <td>&nbsp;{{ monitor.venous_pressure ? monitor.venous_pressure : "" }}</td>
              <td>&nbsp;{{ monitor.displacement_flow_quantity ? monitor.displacement_flow_quantity : "" }}</td>
              <td>&nbsp;{{ monitor.ultrafiltration_rate ? monitor.ultrafiltration_rate : "" }}</td>
              <td>&nbsp;{{ monitor.ultrafiltration_volume ? monitor.ultrafiltration_volume : "" }}</td>
              <td>&nbsp;{{ monitor.pulse_frequency ? monitor.pulse_frequency : '' }}</td>
              <td>&nbsp;{{ monitor.breathing_rate ? monitor.breathing_rate : '' }}</td>
              <td>
                <span v-if="monitor.systolic_blood_pressure || monitor.diastolic_blood_pressure">
                  &nbsp;{{ monitor.systolic_blood_pressure ? monitor.systolic_blood_pressure : "" }}/
                  {{ monitor.diastolic_blood_pressure ? monitor.diastolic_blood_pressure : "" }}
                </span>
              </td>
              <td style="text-align:left;padding-left:10px;">
                <div style="line-height:20px;text-align: left;display: inline-block;">
                  &nbsp;{{ monitor.symptom }}{{ monitor.dispose }}{{ monitor.result }}
                </div>
              </td>
              <td>
                <span v-if="setAdminUserES(monitor.monitoring_nurse) == ''">
                  {{ getAdminUser(monitor.monitoring_nurse) }}
                </span>
                <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                  <img style="height:30px;" :src="setAdminUserES(monitor.monitoring_nurse)" alt srcset />
                </span>
              </td>
            </tr>
          </tbody>
        </table>
        <table class="print-table" border="1">
          <tr>
            <td :rowspan="tableAdvice.length + 1" width="30px" class="title-box">
              透析临嘱
            </td>
            <td width='140' style="height:40px;line-height:40px">时间</td>
            <td width='80'>医生</td>
            <td>临时医嘱</td>
            <td width='60'>是否执行</td>
            <td width='80'>执行者</td>
            <td width='140'>执行时间</td>
            <td width='80'>核对者</td>
          </tr>
          <tr v-for="(advice, advice_index) in tableAdvice" :key="advice_index" >
            <td style="height:40px;line-height:40px">{{ getTime(advice.start_time, "{y}-{m}-{d} {h}:{i}") }}</td>
            <td>
              <span v-if="setAdminUserES(advice.advice_doctor) == ''">
                {{ getAdminUser(advice.advice_doctor) }}
              </span>
              <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                <img style="height:30px;" :src="setAdminUserES(advice.advice_doctor)" alt srcset />
              </span>
            </td>
            <td class="parent" style="text-align:left;padding-left:10px;">
              <span v-if="advice.parent_id > 0">---></span>
              <span>{{ advice.advice_name }}</span>
              <span v-if="advice && advice.advice_desc">({{ advice.advice_desc }}{{ advice.drug_spec_unit }})</span>
              <span v-if="advice.prescribing_number"> &nbsp;&nbsp; {{ advice.prescribing_number }}{{ advice.prescribing_number_unit }}</span>
              <span v-if="advice.single_dose != 0">{{ advice.single_dose }}{{ advice.single_dose_unit }}</span>
              <span v-if="advice.parent_id == 0">{{ advice.delivery_way }}</span>
              <span v-if="advice.parent_id == 0">{{ advice.execution_frequency }}</span>
              <span v-if="advice.parent_id == 0 && advice.remark.length > 0">({{ advice.remark }})</span>
            </td>
            <td>
              <div v-if="advice.start_time">
                <span v-if="advice.execution_staff">是</span>
                <span v-else>否</span>
              </div>
            </td>
            <td>
              <span v-if="setAdminUserES(advice.execution_staff) == ''">
                {{ getAdminUser(advice.execution_staff) }}
              </span>
              <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                <img style="height:30px;" :src="setAdminUserES(advice.execution_staff)" alt srcset />
              </span>
            </td>
            <td>{{ getTime(advice.execution_time, "{y}-{m}-{d} {h}:{i}") }}</td>
            <td>
              <span v-if="setAdminUserES(advice.checker) == ''">
                {{ getAdminUser(advice.checker) }}
              </span>
              <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                <img style="height:30px;" :src="setAdminUserES(advice.checker)" alt srcset />
              </span>
            </td>
          </tr>
        </table>


        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td class="title-box" width="30px" style="line-height:30px">透后情况</td>
              <td>
                <table class="table-box">
                  <tbody>
                    <tr>
                      <td width="100">实际治疗时间:</td>
                      <td width="40">
                        <div class="under-line">
                          &nbsp;{{ afterdialysis.actual_treatment_hour ? afterdialysis.actual_treatment_hour : 0 }}
                        </div>
                      </td>
                      <td width="10">h</td>
                      <td width="40">
                        <div class="under-line">
                          &nbsp;{{ afterdialysis.actual_treatment_minute ? afterdialysis.actual_treatment_minute : 0 }}
                        </div>
                      </td>
                      <td width="35">min</td>
                      <td width="30"></td>
                      <td width="100">实际超滤总量:</td>
                      <td width="50">
                        <div class="under-line">
                          &nbsp;{{ afterdialysis.actual_ultrafiltration ? afterdialysis.actual_ultrafiltration : " " }}
                        </div>
                      </td>
                      <td width="10">ml</td>
                      <td width="30"></td>
                      <td width='70'>透后体重:</td>
                      <td width="50">
                        <div class="under-line">&nbsp;{{ afterdialysis.weight_after ? afterdialysis.weight_after : "" }}</div>
                      </td>
                      <td width="10">Kg</td>
                      <td width="30"></td>
                      <td width='70'>体重下降:</td>
                      <td width="50">
                        <div class="under-line">&nbsp;{{ (predialysis.weight_before - afterdialysis.weight_after) }}</div>
                      </td>
                      <td width="10">Kg</td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>

                <table class="table-box" style="margin-bottom:20px;">
                  <tbody>
                    <tr>
                      <!-- <td width="70">其他记录:</td> -->
                      <td width="70">治疗方案:</td>
                      <td width="">
                        <div style="width: 95%;line-height: 25px;text-align: left;margin-left: 2px;text-underline-position: under; text-decoration: underline;">
                          {{ summary.dialysis_summary ? summary.dialysis_summary : "" }}
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>


                <table class="table-box">
                  <tbody>
                    <tr>
                      <td></td>
                      <td width="80">穿刺护士:</td>
                      <td width="80">
                        <div style="text-align:left">
                          &nbsp;
                          <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.puncture_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.puncture_nurse)}}</span>
                          <img class="es-img" style="height:30px" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.puncture_nurse)" alt="" srcset="" v-else>
                        </div>
                      </td>
                      <td width="150">治疗护士:</td>
                      <td width="80">
                        <div style="text-align:left">
                          <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.start_nurse)}}</span>
                          <img class="es-img" style="height:30px;" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse)" alt="" srcset="" v-else>
                        </div>
                      </td>
                      <td width="70">医生:</td>
                      <td width="80">
                        <div style="text-align:left">
                          <span v-if="setAdminUserES(prescription==null?0:(prescription.prescription_doctor?prescription.prescription_doctor:'')) == ''"> {{ getAdminUser(prescription==null?0:(prescription.prescription_doctor?prescription.prescription_doctor:'')) }} </span>
                          <img style="height:30px;" :src="setAdminUserES(prescription==null?0:(prescription.prescription_doctor?prescription.prescription_doctor:''))" alt="" srcset="" v-else />
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import { getDialysisRecord, getPrintDialysisRecord } from '@/api/dialysis'
import { getDataConfig } from '@/utils/data'
import { jsGetAge, uParseTime } from '@/utils/tools'
import LabelBox from '../printItem/LabelBox'
// import DialysisPrintOrderOne from './template/dialysisPrintOrderOne'
// import DialysisPrintOrderTwo from './template/dialysisPrintOrderTwo'
import print from 'print-js'

export default {
  name: 'dialysisPrintOrderOne',
  components: {
    // DialysisPrintOrderOne,
    // DialysisPrintOrderTwo,
    LabelBox
  },
  data () {
    return {
      way_arr: [],
      consciousness_arr: [],
      appetite_arr: [],
      posture_arr: [],
      sick_condition_arr: [],
      precaution_arr: [],
      intake_arr: [],
      nutrition_arr: [],

      crumbs: [
        { path: false, name: '透析管理' },
        { path: false, name: '打印单' }
      ],
      operators: [],
      adminUser: [],
      check: {},
      dialysisOrder: {
        DeviceNumber: []
      },
      Order: {},
      operatorMaps: {},
      complications: [
        '低血压',
        '高血压',
        '心律失常',
        '头晕',
        '头痛',
        '呕吐',
        '抽搐',
        '出血',
        '心衰',
        '腹痛',
        '无'
      ],
      jilurow: 0,
      advice_jilurow: 0,
      loading: false,
      orgname: '',
      patientInfo_gender_1: false,
      patientInfo_gender_2: false,
      patientInfo_source_2: false,
      patientInfo_source_1: false,
      modeOptions: {},
      replacementWays: [],
      perfusionApparatus: [],
      anticoagulantsConfit: {},
      bloodAccessParOpera: {},
      dialysateFormulationOptions: {},

      queryParams: {
        xtdate: '',
        xtno: ''
      },
      patientInfo: {
        birth: '',
        age: '',
        DialysisSchedule: {
          device_number: { number: '' },
          device_zone: { name: '' }
        },
        gender: 0
      },
      predialysis: {
        score: '',
        internal_fistula: '',
        internal_fistula_skin: '',
        catheter: '',
        blood_access_part_opera_name: ''
      },
      lastpredialysis: '',
      InfectiousDiseases: '',
      afterdialysis: {
        complications_index: ''
      },
      prescription: {
        dialysate_formulation_name: '',
        device: {}
      },
      advices: [],
      users: [],
      monitors: [],
      summary: {},
      receiverTreatmentAccess: {},
      org_template_info: {},
      isShowZero: false,

      doctor_advices: [],
      advice_groups: [],

      AlPanel: {
        id: 0,
        name: '',
        type: 1,
        shouji: 2,
        weichi: 2,
        zongliang: 2,
        gaimingcheng: -1,
        gaijiliang: -1,
        shouji_unit: 'mg',
        weichi_unit: 'mg/h',
        zongliang_unit: 'mg',
        gaimingcheng_unit: '',
        gaijiliang_unit: ''
      },
      total: '',
      doctorForm: {
        doctor: '',
        url: ''
      },
      dialysisDoctor: {
        doctor: '',
        url: ''
      },
      tableAdvice: [],
      assessmentafter: {},
      orderForm: {
        start_nurse: '',
        url: ''
      },
      finshForm: {
        finish_nurse: '',
        url: ''
      },
      displaceLiquiPartOptions: [],
      last_order:{}
    }
  },
  methods: {
    checkData(){
      if(this.receiverTreatmentAccess.condition == 0){
        this.$message.error('病室未填')
      }else if(this.predialysis.is_hemorrhage == 0){
        this.$message.error('出血未填')
      }else if(this.predialysis.is_hemorrhage == 1 && this.predialysis.hemorrhage == ""){
        this.$message.error('出血未填')
      }else if(this.predialysis.blood_access_part_opera_name == ''){
        this.$message.error('血管通路未填')
      }else if(this.predialysis.puncture_way == ''){
        this.$message.error('穿刺方法未填')
      }else if(this.predialysis.internal_fistula == ''){
        this.$message.error('内瘘震颤未填')
      }else if(this.predialysis.catheter == ''){
        this.$message.error('导管穿刺口未填')
      }else if(this.prescription.dialysis_duration_hour == 0 && this.prescription.dialysis_duration_minute == 0){
        this.$message.error('治疗时间未填')
      }else if(this.prescription.blood_flow_volume == 0){
        this.$message.error('血流量未填')
      }else if(this.predialysis.weight_before == 0){
        this.$message.error('透前体重未填')
      }else if(this.predialysis.dry_weight == 0){
        this.$message.error('干体重未填')
      }else if(this.prescription.target_ultrafiltration == 0){
        this.$message.error('超滤总量未填')
      }else if(this.prescription.replacement_total == ""){
        this.$message.error('置换量未填')
      }else if(this.prescription.mode_id == ""){
        this.$message.error('治疗方式未填')
      }else if(this.prescription.dialyzer_perfusion_apparatus == ""){
        this.$message.error('透析（滤）器未填')
      }else if(this.prescription.anticoagulant == 0){
        this.$message.error('肝素未填')
      }else if(this.afterdialysis.actual_ultrafiltration == 0){
        this.$message.error('实际超滤总量未填')
      }else if(this.afterdialysis.actual_treatment_hour == 0 && this.afterdialysis.actual_treatment_minute == 0){
        this.$message.error('实际治疗时间未填')
      }else if(this.afterdialysis.weight_after == 0){
        this.$message.error('透后体重未填')
      }else if(this.afterdialysis.weight_after == 0 && this.predialysis.weight_before == 0){
        this.$message.error('体重下降未填')
      }else if(this.summary.mission == ""){
        this.$message.error('透析宣教未填')
      }else if(this.summary.dialysis_summary == ""){
        this.$message.error('透析小结未填')
      }else if(this.dialysisOrder == null || this.dialysisOrder.puncture_nurse <= 0){
        this.$message.error('穿刺护士未填')
      }else if(this.dialysisOrder.start_nurse == 0){
        this.$message.error('治疗护士未填')
      }else if(this.prescription.prescription_doctor == 0){
        this.$message.error('医生未填')
      }else if(this.tableAdvice.length > 0 || this.monitors.length > 0){
        let num = 0
        if(this.monitors.length > 0){
          this.monitors.map(item => {
            if(item.id > 0 && item.operate_time){
              this.users.map(it => {
                if(it.id == item.monitoring_nurse){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士保存的监测')
                  }
                }
              })
            }
          })
        }
        if(this.tableAdvice.length > 0){
          this.tableAdvice.map(item => {
            if(item.id > 0 && (item.created_time || item.start_time)){
              this.users.map(it => {
                if(it.id == item.advice_doctor){
                  if(it.user_type == 3){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是医生保存的医嘱')
                  }else if(it.id == item.execution_staff && item.execution_staff > 0){
                    if(it.user_type == 2){
                      num++
                      this.$message.closeAll()
                      this.$message.error('存在不是护士执行的医嘱')
                    }
                  }else if(it.id == item.checker && item.checker > 0){
                    if(it.user_type == 2){
                      num++
                      this.$message.closeAll()
                      this.$message.error('存在不是护士核对的医嘱')
                    }
                  }
                }else if(it.id == item.execution_staff && item.execution_staff > 0){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士执行的医嘱')
                  }
                }else if(it.id == item.checker && item.checker > 0){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士核对的医嘱')
                  }
                }
              })
            }
        })
        }
        
        if(num == 0){
          this.$message.success('核对完成')
        }
      }else{
        this.$message.success('核对完成')
      }
    },
    getComplication(complication){
      if(complication.indexOf(',') == -1){
        let str = complication
        if(['无','头晕','头痛','抽搐','低血压','出血','呕吐'].indexOf(str) == -1){
          return str
        }
      }else if(complication.indexOf(',') > -1){
        let str = complication
        if(['无','头晕','头痛','抽搐','低血压','出血','呕吐'].indexOf(str) == -1){
          let newStr = ''
          str.split(',').map(item => {
            if(['无','头晕','头痛','抽搐','低血压','出血','呕吐'].indexOf(item) == -1){
              newStr += item + ','
            }
          })
          return newStr.substring(0, newStr.length - 1)
        }
      }
    },
    getPunctureWay: function (val) {
      let puncture_method_name = '/'
      const puncture_method = getDataConfig('hemodialysis', 'puncture_method')

      for (let i = 0; i < puncture_method.length; i++) {
        if (puncture_method[i].id == val) {
          puncture_method_name = puncture_method[i].name
        }
      }
      return puncture_method_name
    },
    getHumorExcessiveSymptom (val) {
      const humor_excessive_symptom = getDataConfig('hemodialysis', 'humor_excessive_symptom')
      var humor_excessive_symptom_name = ''
      for (let i = 0; i < humor_excessive_symptom.length; i++) {
        if (humor_excessive_symptom[i].id == val) {
          humor_excessive_symptom_name = humor_excessive_symptom[i].name
        }
      }
      return humor_excessive_symptom_name
    },
    QueryPartById: function (val) {
      let vascular_access_part_name = '/'
      const vascular_access = getDataConfig('hemodialysis', 'vascular_access')

      for (let i = 0; i < vascular_access.length; i++) {
        if (vascular_access[i].id == val) {
          vascular_access_part_name = vascular_access[i].name
        }
      }
      return vascular_access_part_name
    },
    getDisplaceLiquiPart: function (val) {
      let displace_liqui_part_name = '/'
      const displace_liqui_part = this.displaceLiquiPartOptions
      for (let i = 0; i < displace_liqui_part.length; i++) {
        if (displace_liqui_part[i].id == val) {
          displace_liqui_part_name = displace_liqui_part[i].name
        }
      }
      return displace_liqui_part_name
    },
    getAdminUser (id) {
      if (id == 0) {
        return ''
      }
      if (id == undefined) {
        return ''
      }
      for (let i = 0; i < this.adminUser.length; i++) {
        if (this.adminUser[i].id == id) {
          return this.adminUser[i].name
        }
      }
    },
    getTime (value, temp) {
      if (value == 0) {
        return ''
      }
      if (value != undefined) {
        return uParseTime(value, temp)
      }
      return ''
    },
    printThisPage () {
      var ptime = Math.round(new Date().getTime() / 1000)
      this.print_time = uParseTime(ptime, '{y}-{m}-{d} {h}:{i}')

      const style =
        '@media print {.dialysis-print-order{width:960px;margin:0 auto}.dialysis-print-order .order-yy-name{margin:auto;text-align:center;font-size:20px;letter-spacing:5px}.dialysis-print-order .order-title{margin:auto;font-weight:600;text-align:center;font-size:22px;padding:10px 20px 20px 20px}.dialysis-print-order .table-box{width:100%;line-height:23px;font-size:14px}.dialysis-print-order .print-table{width:100%;text-align:center;border-collapse:collapse;line-height:25px;font-size:14px}.dialysis-print-order .print-table-no{width:100%;text-align:center;border-collapse:collapse;font-size:14px}.dialysis-print-order .under-line{border-bottom:1px solid #999;width:95%;text-align:center;margin-left:2px}.dialysis-print-order .title-box{text-align:center;font-size:16px;border:1px solid #666}.dialysis-print-order .radio-lebel-box{font-weight:400;cursor:pointer}.dialysis-print-order .radio-no{opacity:0;outline:0;position:absolute;margin:0;width:0;height:0;z-index:-1}.dialysis-print-order .radio-inner{white-space:nowrap;cursor:pointer;outline:0;display:inline-block;line-height:1;position:relative;vertical-align:middle}.dialysis-print-order .radio-fang{display:inline-block;position:relative;border:1px solid #000;box-sizing:border-box;width:14px;height:14px;background-color:#fff;z-index:1;transition:border-color .25s cubic-bezier(.71,-.46,.29,1.46),background-color .25s cubic-bezier(.71,-.46,.29,1.46)}.dialysis-print-order .is-checked-radio::after{content:"√";font-size:15px}}.dialysis-print-order .print-table-no tr td { padding: 8px 5px; line-height: 25px; }.es-img{height: 20px; }.advice-name{text-align: left;}.advice-children{display:flex;} .dialysis-print-order .print-table tr td{padding: 0px 0px;} .print-template-two tr {line-height: 30px;}   .title-box-pro{border: 0 #fff;line-height: 40px;height: 40px;text-align: left;padding-left: 10px !important;}  .text-align-left{text-align: left !important;padding-left:10px !important;font-size: 14px !important;line-height: 25px;}'

      if (this.org_template_info.template_id == 1) {
        printJS({
          printable: 'dialysis-print-box',
          type: 'html',
          style: style,
          scanStyles: false
        })
      } else if (
        this.org_template_info.template_id == 2 ||
        this.org_template_info.template_id == 0
      ) {
        printJS({
          printable: 'dialysis-print-box-1',
          type: 'html',
          style: style,
          scanStyles: false
        })
      }
    },
    getNumber () {
      if (this.dialysisOrder != null) {
        if (this.patientInfo.DialysisSchedule.device_zone.name.indexOf('区') > -1) {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name +
            this.dialysisOrder.DeviceNumber.number
          )
        } else {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name + '区' +
            this.dialysisOrder.DeviceNumber.number
          )
        }
      } else {
        if (this.patientInfo.DialysisSchedule.device_zone.name.indexOf('区') > -1) {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name +
            this.patientInfo.DialysisSchedule.device_number.number
          )
        } else {
          return (
            this.patientInfo.DialysisSchedule.device_zone.name + '区' +
            this.patientInfo.DialysisSchedule.device_number.number
          )
        }
      }
    },

    getXuserName (id) {
      if (id <= 0) {
        return ''
      }
      var name = ''
      if (this.users == null || typeof this.users.length === 'undefined') {
        return name
      }
      var leng = this.users.length
      if (leng == 0) {
        return name
      }
      for (let index = 0; index < leng; index++) {
        if (this.users[index].id == id) {
          name = this.users[index].name
          break
        }
      }
      return name
    },
    setAdminUserES (id) {
      if (id == 0) {
        return ''
      }
      if (id in this.operatorMaps) {
        return this.operatorMaps[id].url
      } else {
        return ''
      }
    },
    modeName (mode_id) {
      return typeof this.modeOptions[mode_id] !== 'undefined' &&
        typeof this.modeOptions[mode_id].name !== 'undefined'
        ? this.modeOptions[mode_id].name
        : ''
    },
    getDialysisRecord () {
      getPrintDialysisRecord(this.queryParams).then(response => {
        if (response.data.state == 1) {
          var dialysisorder = response.data.data.dialysisOrder
          this.dialysisorder = dialysisorder
          console.log('上机', dialysisorder)
          var check = response.data.data.check
          this.check = check
          console.log('核对这', check)
          this.adminUser = response.data.data.users
          this.users = response.data.data.users
          this.patientInfo = response.data.data.patientInfo
          this.patientInfo.birth = uParseTime(
            this.patientInfo.birthday,
            '{y}-{m}-{d}'
          )
          if (this.patientInfo.gender === 1) {
            this.patientInfo.gender = '男'
          }
          if (this.patientInfo.gender === 2) {
            this.patientInfo.gender = '女'
          }
          this.patientInfo.age = jsGetAge(this.patientInfo.birth, '-')
          if (response.data.data.patientInfo.first_dialysis_date != 0) {
            this.patientInfo.first_dialysis_date = uParseTime(
              response.data.data.patientInfo.first_dialysis_date,
              '{y}-{m}-{d}'
            )
          } else {
            this.patientInfo.first_dialysis_date = ''
          }

          var InfectiousDiseasesArr = response.data.data.patientInfo.InfectiousDiseases
          InfectiousDiseasesArr.forEach((item, index) => {
            if (item['id'] > 0 && item['disease_id'] > 0) {
              switch (item['disease_id']) {
                case 2 :
                  this.InfectiousDiseases += '乙肝 '
                  break
                case 3 :
                  this.InfectiousDiseases += '丙肝 '
                  break
                case 4 :
                  this.InfectiousDiseases += '艾滋病 '
                  break
                case 5 :
                  this.InfectiousDiseases += '肺结核 '
                  break
                case 6 :
                  this.InfectiousDiseases += '梅毒 '
                  break
              }
            }
          })

          var doctorAdevieInfo = response.data.data.advices
          var tableAdvice = doctorAdevieInfo

          if (tableAdvice.length === 0) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            var obj4 = { advice_name: '', start_time: '' }
            var obj5 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            tableAdvice.push(obj5)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 1) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            var obj4 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 2) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 3) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj2 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)

            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 4) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare

            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 5) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            this.tableAdvice = tableAdvice
          }

          if (tableAdvice.length >= 6 && tableAdvice.length <= 8) {
            const length = 8 - tableAdvice.length
            var obj = { advice_name: '', start_time: '' }
            for (i = 0; i < length; i++) {
              console.log(1)
              tableAdvice.push(obj)
            }

            this.tableAdvice = tableAdvice
          }else{
            this.tableAdvice = tableAdvice
          }
          this.assessmentafter = response.data.data.assessmentAfterDislysis
          this.lastpredialysis = response.data.data.lastPredialysisEvaluation
          this.predialysis = response.data.data.PredialysisEvaluation
          console.log('偷前评估', this.predialysis)
          this.predialysis.blood_access_part_opera_name = this.bloodAccessParOperaName(
            this.predialysis.blood_access_part_opera_id
          )
          this.afterdialysis = response.data.data.AssessmentAfterDislysis
          console.log('透后评估', this.afterdialysis)
          this.operators = response.data.data.operators
          this.dialysisOrder =
            response.data.data.dialysisOrder === null
              ? null
              : response.data.data.dialysisOrder

          if (this.operators.length > 0) {
            var operatorsLen = this.operators.length
            for (var index = 0; index < operatorsLen; index++) {
              this.$set(
                this.operatorMaps,
                this.operators[index].creator,
                this.operators[index]
              )
            }
          }

          this.afterdialysis.txqnx = -1
          if (this.afterdialysis.cruor.indexOf('0度') > -1) {
            this.afterdialysis.txqnx = 0
          }
          if (this.afterdialysis.cruor.indexOf('Ⅰ度') > -1) {
            this.afterdialysis.txqnx = 1
          }
          if (this.afterdialysis.cruor.indexOf('Ⅱ度') > -1) {
            this.afterdialysis.txqnx = 2
          }
          if (this.afterdialysis.cruor.indexOf('Ⅲ度') > -1) {
            this.afterdialysis.txqnx = 3
          }

          this.afterdialysis.complications = this.afterdialysis.complication.split(
            ','
          )
          this.afterdialysis.complications_other = []
          this.afterdialysis.complications_index = []
          var acllen = this.afterdialysis.complications.length
          for (let index = 0; index < acllen; index++) {
            if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) >= 0
            ) {
              this.afterdialysis.complications_index.push(
                this.afterdialysis.complications[index]
              )
            } else if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) < 0 &&
              this.afterdialysis.complications_other.indexOf(
                this.afterdialysis.complications[index]
              ) < 0
            ) {
              this.afterdialysis.complications_other.push(
                this.afterdialysis.complications[index]
              )
            }
          }
          this.afterdialysis.complications_other = this.afterdialysis.complications_other.join(
            ','
          )
          this.prescription = response.data.data.dialysisPrescription
          if (this.prescription.anticoagulant === 1) {
            this.prescription.anticoagulant = '无肝素'
          }
          if (this.prescription.anticoagulant === 2) {
            this.prescription.anticoagulant = '普通肝素'
          }
          if (this.prescription.anticoagulant === 3) {
            this.prescription.anticoagulant = '低分子肝素'
          }
          if (this.prescription.anticoagulant === 4) {
            this.prescription.anticoagulant = '阿加曲班'
          }
          if (this.prescription.anticoagulant === 5) {
            this.prescription.anticoagulant = '枸橼酸钠'
          }
          if (this.prescription.anticoagulant == 6) {
            this.prescription.anticoagulant = '低分子肝素钙'
          }
          if (this.prescription.anticoagulant == 7) {
            this.prescription.anticoagulant = '低分子肝素钠'
          }

          var receiverTreatmentAccess =
            response.data.data.receiverTreatmentAccess
          console.log('接诊评估', this.receiverTreatmentAccess)
          var obj = receiverTreatmentAccess.precaution
          var arr = obj.split(',')
          console.log('arr', arr)
          var arr2 = []
          for (let i = 0; i < this.precautions.length; i++) {
            for (let j = 0; j < arr.length; j++) {
              if (this.precautions[i].id == parseInt(arr[j])) {
                arr2.push(this.precautions[i].name)
              }
            }
          }
          var obj2 = arr2.join(',')
          console.log('obj2', obj2)
          if (receiverTreatmentAccess.way === 1) {
            receiverTreatmentAccess.way = '步行'
          }
          if (receiverTreatmentAccess.way === 2) {
            receiverTreatmentAccess.way = '扶行'
          }
          if (receiverTreatmentAccess.way === 3) {
            receiverTreatmentAccess.way = '轮椅'
          }
          if (receiverTreatmentAccess.way === 4) {
            receiverTreatmentAccess.way = '平车'
          }
          receiverTreatmentAccess.precaution = obj2
          this.receiverTreatmentAccess = receiverTreatmentAccess
          this.prescription.mode = this.modeName(this.prescription.mode_id)
          var rwLen = this.replacementWays.length
          this.prescription.replacement = ''
          for (let index = 0; index < rwLen; index++) {
            if (
              this.replacementWays[index].id ==
              this.prescription.replacement_way
            ) {
              this.prescription.replacement = this.replacementWays[index].name
              break
            }
          }

          this.prescription.dialysate_formulation_name = this.dialysateFormulationName(
            this.prescription.dialysate_formulation
          )

          var paLen = this.perfusionApparatus.length
          this.prescription.perfusion_apparatus_name = ''
          for (let index = 0; index < paLen; index++) {
            if (
              this.perfusionApparatus[index].id ==
              this.prescription.perfusion_apparatus
            ) {
              this.prescription.perfusion_apparatus_name = this.perfusionApparatus[
                index
              ].name
              break
            }
          }

          var acLen = this.anticoagulantsConfit.length
          var thisALID = this.prescription.anticoagulant
          this.prescription.anticoagulant_name = ''

          if (
            typeof this.anticoagulantsConfit[thisALID] !== 'undefined' &&
            this.anticoagulantsConfit[thisALID] != null
          ) {
            this.prescription.anticoagulant_name = this.anticoagulantsConfit[
              thisALID
            ].name
            this.AlPanel = this.anticoagulantsConfit[thisALID]
          }
          this.last_order = response.data.data.last_order
          this.monitors = response.data.data.monitors
          this.summary = response.data.data.summary
          this.org_template_info = response.data.data.org_template_info
          // 配置超滤量和置换量是否要显示0还是空
          if (this.org_template_info.org_id == 9535) {
            this.isShowZero = true
          }

          if (this.monitors.length < 9) {
            var nl = 10 - this.monitors.length
            for (let index = 0; index < nl; index++) {
              this.monitors.push([])
            }
          }
          this.jilurow = this.monitors.length + 1
          this.advices = response.data.data.advices

          var doctorAdevieInfo = response.data.data.advices
          var tableAdvice = doctorAdevieInfo
          if (tableAdvice.length === 0) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            var obj4 = { advice_name: '', start_time: '' }
            var obj5 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            tableAdvice.push(obj5)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 1) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            var obj4 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            tableAdvice.push(obj4)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 2) {
            var obj = { advice_name: '', start_time: '' }
            var obj1 = { advice_name: '', start_time: '' }
            var obj2 = { advice_name: '', start_time: '' }
            var obj3 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)
            tableAdvice.push(obj3)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 3) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj2 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            tableAdvice.push(obj2)

            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 4) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare

            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            this.tableAdvice = tableAdvice
          }
          if (tableAdvice.length === 5) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: '', start_time: '' }
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: '', start_time: '' }
            tableAdvice.push(obj)
            tableAdvice.push(obj1)
            this.tableAdvice = tableAdvice
          }

          if (tableAdvice.length >= 6) {
            this.tableAdvice = tableAdvice
          }
          this.monitors = response.data.data.monitors
          this.summary = response.data.data.summary
          this.org_template_info = response.data.data.org_template_info
          // 配置超滤量和置换量是否要显示0还是空
          if (this.org_template_info.org_id == 9535) {
            this.isShowZero = true
          }

          // if (this.monitors.length < 8) {
          //   var nl = 8 - this.monitors.length
          //   for (let index = 0; index < nl; index++) {
          //     this.monitors.push([])
          //   }
          // }
          // this.jilurow = this.monitors.length + 1

          var childMap = {}
          for (const index in this.advices) {
            if (this.advices[index].parent_id == 0) {
              continue
            }
            if (!(this.advices[index].parent_id in childMap)) {
              childMap[this.advices[index].parent_id] = []
            }
            childMap[this.advices[index].parent_id].push(this.advices[index])
          }

          var advices = []
          for (const index in this.advices) {
            if (this.advices[index].parent_id > 0) {
              continue
            }
            var item = this.advices[index]
            if (item.id in childMap) {
              item.children = childMap[item.id]
            } else {
              item.children = []
            }
            advices.push(item)
          }

          var leftAdvice = []
          var rightAdvice = []
          var adlen = advices.length

          var halfLen = adlen % 2 == 0 ? adlen / 2 : (adlen + 1) / 2
          for (var i = 0; i < halfLen; i++) {
            leftAdvice.push(advices[i])
            rightAdvice.push(advices[i + halfLen])
          }

          if (halfLen < 5) {
            var nl = 5 - leftAdvice.length
            for (let index = 0; index < nl; index++) {
              leftAdvice.push([])
            }
            var nl = 5 - rightAdvice.length
            for (let index = 0; index < nl; index++) {
              rightAdvice.push([])
            }
          }

          this.advices = []
          for (var i = 0; i < halfLen; i++) {
            var item = []
            item.push(leftAdvice[i])
            item.push(rightAdvice[i])
            this.advices.push(item)
          }
        } else {
          this.$message.error('请求数据失败')
          return false
        }
      })
    },
    bloodAccessParOperaName (id) {
      if (id in this.bloodAccessParOpera) {
        return this.bloodAccessParOpera[id].name
      }
      return ''
    },
    dialysateFormulationName (id) {
      if (id in this.dialysateFormulationOptions) {
        return this.dialysateFormulationOptions[id].name
      }
      return ''
    },
    getAge: function (val) {
      if (val.birthday != 0) {
        return jsGetAge(val.birth, '-')
      }
      return ''
    },
    checkIdCardNo (val) {
      var thisLen = val.length
      var birth = ''
      if (thisLen == 15) {
        birth = '19' + val.substr(6, 6)
      } else {
        birth = val.substr(6, 8)
      }
      var birthTwo =
        birth.substr(0, 4) +
        '-' +
        birth.substr(4, 2) +
        '-' +
        birth.substr(6, 2)

      var age = jsGetAge(birthTwo, '-')
      return age
    },
    newAdviceGroupObject: function () {
      return Object.assign(
        {},
        {
          group_no: 0,
          // advice_doctor: 0,
          // start_time: 0,
          advices: []
          // exec_staff: 0,
          // exec_time: 0,
          // checker: 0,
        }
      )
    }
  },
  watch: {
    'patientInfo.gender': function () {
      if (this.patientInfo.gender == 1) {
        this.patientInfo_gender_1 = true
        this.patientInfo_gender_2 = false
      } else if (this.patientInfo.gender == 2) {
        this.patientInfo_gender_2 = true
        this.patientInfo_gender_1 = false
      } else {
        this.patientInfo_gender_2 = false
        this.patientInfo_gender_1 = false
      }
    },
    'patientInfo.source': function () {
      if (this.patientInfo.source == 1) {
        this.patientInfo_source_1 = true
        this.patientInfo_source_2 = false
      } else if (this.patientInfo.source == 2) {
        this.patientInfo_source_2 = true
        this.patientInfo_source_1 = false
      } else {
        this.patientInfo_source_2 = false
        this.patientInfo_source_1 = false
      }
    }
  },
  created () {
    console.log(getDataConfig('hemodialysis', 'humor_excessive_symptom'))
    var xtuser = this.$store.getters.user
    this.orgname = xtuser.org.org_name
    // this.orgname = "遂溪方济医院";
    this.modeOptions = this.$store.getters.treatment_mode
    this.replacementWays = this.$store.getters.replacement_ways
    this.perfusionApparatus = this.$store.getters.perfusion_apparatus
    this.anticoagulantsConfit = this.$store.getters.anticoagulants_confit

    this.way_arr = getDataConfig('hemodialysis', 'way')
    this.consciousness_arr = getDataConfig('hemodialysis', 'consciousness')
    this.appetite_arr = getDataConfig('hemodialysis', 'appetite')
    this.posture_arr = getDataConfig('hemodialysis', 'posture')
    this.sick_condition_arr = getDataConfig('hemodialysis', 'sick_condition')
    this.precaution_arr = getDataConfig('hemodialysis', 'precaution')
    this.intake_arr = getDataConfig('hemodialysis', 'intake')
    this.nutrition_arr = getDataConfig('hemodialysis', 'nutrition')
    this.displaceLiquiPartOptions = this.$store.getters.displace_liqui
    // this.bloodAccessParOpera = getDataConfig('hemodialysis', 'vascular_access_desc')
    var vascularAccess = getDataConfig('hemodialysis', 'vascular_access')
    this.vascularAccess = vascularAccess
    // console.log("hhe", vascularAccess);
    console.log(
      '血管通路部位',
      getDataConfig('hemodialysis', 'vascular_access')
    )

    this.precautions = getDataConfig('hemodialysis', 'precaution')

    var bloodAccessParOpera = getDataConfig(
      'hemodialysis',
      'vascular_access_desc'
    )
    for (var key in bloodAccessParOpera) {
      this.bloodAccessParOpera[bloodAccessParOpera[key].id] =
        bloodAccessParOpera[key]
    }

    var dialysateFormulationOptions = getDataConfig(
      'hemodialysis',
      'dialysate_formulation'
    )
    for (var key in dialysateFormulationOptions) {
      this.dialysateFormulationOptions[dialysateFormulationOptions[key].id] =
        dialysateFormulationOptions[key]
    }

    const xtdate = this.$route.query && this.$route.query.xtdate
    const xtno = this.$route.query && this.$route.query.xtno
    if (
      typeof xtdate === 'string' &&
      xtdate.length > 0 &&
      typeof xtno === 'string' &&
      xtno.length > 0
    ) {
      this.queryParams.xtdate = xtdate
      this.queryParams.xtno = xtno
      this.getDialysisRecord()
    } else {
      this.$message.error('参数不齐')
      return false
    }
  }
}
</script>

<style>
.dialysis-print-order {
  width: 960px;
  margin: 0 auto;
}

.dialysis-print-order .order-yy-name {
  margin: auto;
  text-align: center;
  font-size: 20px;
  letter-spacing: 5px;
}

.dialysis-print-order .order-title {
  margin: auto;
  font-weight: 600;
  text-align: center;
  font-size: 22px;
  padding: 10px 20px 20px 20px;
}

.dialysis-print-order .table-box {
  width: 100%;
  line-height: 23px;
  font-size: 14px;
}

.dialysis-print-order .print-table {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  line-height: 40px;
  font-size: 14px;
}

.dialysis-print-order .print-table-no {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  font-size: 14px;
}

.dialysis-print-order .under-line {
  border-bottom: 1px solid #999;
  width: 95%;
  text-align: center;
  margin-left: 2px;
}

.dialysis-print-order .title-box {
  text-align: center;
  font-size: 16px;
}

.dialysis-print-order .radio-lebel-box {
  font-weight: 400;
  cursor: pointer;
}

.dialysis-print-order .radio-no {
  opacity: 0;
  outline: none;
  position: absolute;
  margin: 0;
  width: 0;
  height: 0;
  z-index: -1;
}

.dialysis-print-order .radio-inner {
  white-space: nowrap;
  cursor: pointer;
  outline: none;
  display: inline-block;
  line-height: 1;
  position: relative;
  vertical-align: middle;
}

.dialysis-print-order .radio-fang {
  display: inline-block;
  position: relative;
  border: 1px solid #000;
  box-sizing: border-box;
  width: 14px;
  height: 14px;
  background-color: #fff;
  z-index: 1;
  transition: border-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46),
    background-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46);
}

.dialysis-print-order .is-checked-radio::after {
  content: "√";
  font-size: 15px;
  margin-left: -2px !important;
}

.dialysis-print-order .print-table-no tr td {
  padding: 8px 5px;
  line-height: 25px;
}

.dialysis-print-order .print-table tr td {
  padding: 1px 1px;
  /*line-height: 25px;*/
}

.es-img {
  height: 25px;
}

.advice-name {
  text-align: left;
}

.advice-children {
  display: flex;
}

.title-box-pro {
  border: 0 #fff;
  line-height: 25px;
  height: 25px;
  text-align: left;
  padding-left: 10px !important;
}
.title-box-pro-tr {
  border: 0 #fff;
}
.text-align-left {
  text-align: left !important;
  padding-left: 10px !important;
  font-size: 14px !important;
  line-height: 25px;
}
.print-table-tr-new td {
  line-height: 20px !important;
}
.border-top-solid {
  border: solid 1px #000;
}
.print-template-two tr {
  line-height: 30px;
}
</style>
